/*
 * Licensed Materials - Property of IBM pidnumber (C) Copyright IBM Corporation
 * 2005. All Rights Reserved. US Government Users Restricted Rights- Use,
 * duplication or disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 */
package com.ibm.j2ca.sample.twineball.emd;

/**
 * This consolidates much of the case-changing logic into a central location. 
 */
public class StringCaseChanger {
    public static String toUpperCase(String inputString) {
        return inputString.toUpperCase();
    }

    public static String toCamelCase(String inputString) {
        boolean changeNext2CAPS = false;
        StringBuffer sbf = new StringBuffer();
        Character ch;
        for (int i = 0; i < inputString.length(); i++) {
            ch = new Character(inputString.charAt(i));
            if (i == 0) {
                sbf.append(Character.toUpperCase(ch.charValue()));
                continue;
            }
            if (ch.charValue() == '_') {
                changeNext2CAPS = true;
                continue;
            }
            if (changeNext2CAPS != true) {
                sbf.append(Character.toLowerCase(ch.charValue()));
            } else {
                changeNext2CAPS = false;
                sbf.append(ch);
            }
        }
        return sbf.toString().trim();
    }
}