/*
 * Licensed Materials - Property of IBM pidnumber (C) Copyright IBM Corporation
 * 2005. All Rights Reserved. US Government Users Restricted Rights- Use,
 * duplication or disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 */
package com.ibm.j2ca.sample.twineball.emd.discovery;

import com.ibm.j2ca.extension.emd.discovery.WBIAdapterTypeImpl;
import com.ibm.j2ca.extension.emd.discovery.WBIMetadataEditImpl;
import com.ibm.j2ca.sample.twineball.emd.Constants;
import com.ibm.j2ca.sample.twineball.emd.TwineBallAdapterType;
import com.ibm.j2ca.sample.twineball.emd.discovery.connection.TwineBallInboundConnectionType;
import com.ibm.j2ca.sample.twineball.emd.discovery.connection.TwineBallOutboundConnectionType;
import commonj.connector.metadata.MetadataException;
import commonj.connector.metadata.discovery.connection.InboundConnectionType;
import commonj.connector.metadata.discovery.connection.OutboundConnectionType;

public class TwineBallMetadataEdit extends WBIMetadataEditImpl {
    

    WBIAdapterTypeImpl adapterType;

    public TwineBallMetadataEdit() throws MetadataException {
        adapterType = new TwineBallAdapterType();

    }

    /**
     * @see commonj.connector.metadata.discovery.MetadataEdit#getOutboundConnectionType(java.lang.String)
     */
    public OutboundConnectionType getOutboundConnectionType(String arg0) throws MetadataException {
        return adapterType.getOutboundConnectionTypes()[1];
    }

    /**
     * @see commonj.connector.metadata.discovery.MetadataEdit#getInboundConnectionType(java.lang.String)
     */
    public InboundConnectionType getInboundConnectionType(String arg0) throws MetadataException {
        return adapterType.getInboundConnectionTypes()[0];
    }
}