/*
 * Licensed Materials - Property of IBM
 * pidnumber
 * (C) Copyright IBM Corporation 2005. All Rights Reserved.
 * US Government Users Restricted Rights- Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 */
package com.ibm.j2ca.sample.twineball.mocks;
import com.ibm.j2ca.sample.twineball.inbound.*;

public class TwineBallActivationSpecFactory {
    public static TwineBallActivationSpec createActivationSpec(){
        TwineBallActivationSpec activationSpec = new TwineBallActivationSpec();
        activationSpec.setPollPeriod(50);
        activationSpec.setPollQuantity(10);
        activationSpec.setSchema("twineball");
        activationSpec.setDeliveryType("ORDERED");
        activationSpec.setUrl("Cloudscape");
        activationSpec.setUserName("tnelson");
        activationSpec.setPassword("javblas22b");
        return activationSpec;
    }
}
