/*
 * Licensed Materials - Property of IBM pidnumber (C) Copyright IBM Corporation
 * 2005. All Rights Reserved. US Government Users Restricted Rights- Use,
 * duplication or disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 */
package com.ibm.j2ca.sample.twineball.emd;

import com.ibm.j2ca.base.WBIInteractionSpec;

/**
 * There different operations that are supported for outbound and inbound.  
 * They are defined here for convenience.
 */
public class TwineBallOperations {
    public static String[] getOutboundOperations() {
        String[] operations = new String[5];
        operations[0] = WBIInteractionSpec.CREATE_OP;
        operations[1] = WBIInteractionSpec.UPDATE_OP;
        operations[2] = WBIInteractionSpec.DELETE_OP;
        operations[3] = WBIInteractionSpec.RETRIEVE_OP;
        operations[4] = WBIInteractionSpec.RETRIEVE_ALL_OP;
        return operations;
    }

    public static String[] getInboundOperations() {
        String[] operations = new String[3];
        operations[0] = WBIInteractionSpec.CREATE_OP;
        operations[1] = WBIInteractionSpec.UPDATE_OP;
        operations[2] = WBIInteractionSpec.DELETE_OP;
        return operations;
    }
}