/*
 * Licensed Materials - Property of IBM pidnumber (C) Copyright IBM Corporation
 * 2005. All Rights Reserved. US Government Users Restricted Rights- Use,
 * duplication or disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 */
package com.ibm.j2ca.sample.twineball.emd.description;

/**
 * Later on we'll build maps of properties, then need to figure out what to do with 
 * each property.  This class defines the information we need about each property to fully
 * define the schema.  In TwineBall, everything is a string or an N-cardinality child.
 */
public class TwineBallAttribute {
    public boolean isChild = false;

    public TwineBallAttribute(boolean isChild) {
        this.isChild = isChild;
    }
}