/*
 * Licensed Materials - Property of IBM pidnumber (C) Copyright IBM Corporation
 * 2005. All Rights Reserved. US Government Users Restricted Rights- Use,
 * duplication or disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 */
package com.ibm.j2ca.sample.twineball.emd.discovery;

import com.ibm.j2ca.extension.emd.discovery.WBIMetadataImportConfigurationImpl;
import com.ibm.j2ca.extension.emd.discovery.WBIMetadataObjectImpl;
import commonj.connector.metadata.discovery.properties.PropertyGroup;

/**
 * This is the metadata import configuration for each object.  We don't need to do much for TwineBall.
 */
public class TwineBallMetadataImportConfiguration extends WBIMetadataImportConfigurationImpl {
    public TwineBallMetadataImportConfiguration(WBIMetadataObjectImpl metadataObject) {
        super(metadataObject);
    }

    /*
     * (non-Javadoc)
     * 
     * @see commonj.connector.metadata.discovery.MetadataImportConfiguration#createConfigurationProperties()
     */
    public PropertyGroup createConfigurationProperties() {
        return null;
    }
}