/*
 * Licensed Materials - Property of IBM
 * 5724-G93
 * (C) Copyright IBM Corporation 2003. All Rights Reserved.
 * US Government Users Restricted Rights- Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 */

/* DISCLAIMER:
 * The following [enclosed] code is sample code created by IBM
 * Corporation. This sample code is not part of any standard IBM product
 * and is provided to you solely for the purpose of assisting you in the
 * development of your applications. The code is provided 'AS IS',
 * without warranty of any kind IBM shall not be liable for any damages
 * arising out of your use of sample code, even if they have been
 * advised of the possibility of such damages.
 */

package com.ibm.wbia.TwineBall.Server;

public class CaseChange {

	public static String toMixedCase(String inputName) {
		StringBuffer outputName = new StringBuffer(inputName.length());
		char letter;

		outputName.append(inputName.charAt(0));

		for (int i = 1; i < inputName.length(); i++) {
			letter = inputName.charAt(i);
			if (letter == '_')
				letter = Character.toUpperCase(inputName.charAt(++i));
			else
				letter = Character.toLowerCase(letter);

			outputName.append(letter);
		}

		return outputName.toString();
	}

	public static String toUpperCase(String inputName) {
		StringBuffer outputName = new StringBuffer(inputName.length());
		char letter;

		outputName.append(Character.toUpperCase(inputName.charAt(0)));

		for (int i = 1; i < inputName.length(); i++) {
			letter = inputName.charAt(i);
			if (Character.isLowerCase(letter))
				outputName.append(Character.toUpperCase(letter));
			else {
				outputName.append('_');
				outputName.append(letter);
			}
		}

		return outputName.toString();
	}

}
