/*
 * IBM Confidential
 * OCO Source Materials
 * ADAPTER-PID(s)
 * (C) Copyright IBM Corporation 2004
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */

package com.ibm.wbia.TwineBall.Server;

import java.rmi.RemoteException;
import java.sql.*;
import java.util.*;
/**
 * @author Administrator
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class InProcessConnectionFactory implements TwineBallServerInterface {

    /* (non-Javadoc)
     * @see com.ibm.wbia.TwineBall.Server.TwineBallServerInterface#connect(java.lang.String, java.lang.String, java.lang.String)
     */
    public TwineBallInterface connect(String userid, String pwd, String schemaName) throws TwineBallException, RemoteException {
        TwineBallInterface connection;
        try{
            DatabaseCreation database= new DatabaseCreation();
            Properties p = new TwineBallProperties().getProperties();
            database.createDatabase(p);
            connection = new TwineBallConnection(p);
			connection.connect(userid, pwd, schemaName);
        }catch(SQLException e){
            throw new TwineBallException(e);
        }catch(ClassNotFoundException e){
            throw new TwineBallException(e);
        }
        return connection;
    }

    /* (non-Javadoc)
     * @see com.ibm.wbia.TwineBall.Server.TwineBallServerInterface#connect(java.lang.String, java.lang.String, java.lang.String, boolean)
     */
    public TwineBallInterface connect(String userid, String pwd, String schemaName, boolean xa) throws RemoteException, TwineBallException {
        	return connect(userid,pwd,schemaName);
    }

}
